.page-teacher {
    width: 100vw;
    height: 100vh;
}

.page-teacher .page-teacher-primary {
    background-color: var(--color-primary);
    height: 50%
}

.page-teacher .page-header-thin {
    padding: 0 2rem;
}

.page-teacher .page-teacher-avatar p {
    margin-top: 4rem;
}

.page-teacher .page-teacher-avatar-name {
    font: 700 2rem Archivo;
}

.page-teacher main label {
    color: var(--color-text-complement);
}

.page-teacher .page-teacher-avatar {
    height: 400px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    color: var(--color-line-in-white);
    padding: 0 2.4rem;
}

.page-teacher .page-teacher-form-avatar p {
    justify-self: start;
    margin-left: 2rem;
}

.page-teacher .page-teacher-form-avatar-name {
    font: 700 2rem Archivo;
}

.page-teacher .page-teacher-secondary {
    position: relative;
    display: flex;
    justify-content: center;
}

.page-teacher main {
    background: var(--color-box-base);
    width: 94%;
    max-width: 74rem;
    border-radius: 0.8rem;
    margin: -5rem auto 0;
    padding-top: 3rem;
    overflow: hidden;
}

.page-teacher main fieldset {
    border: 0;
    padding: 0 2.4rem;
}

.page-teacher .page-teacher-form-avatar svg,
.page-teacher .page-teacher-form-avatar img {
    height: 8rem;
    width: inherit;
    border-radius: 50%;
    justify-self: start;
}

.page-teacher main fieldset legend {
    font: 700 2.4rem Archivo;
    color: var(--color-text-title);
    margin-bottom: 2.4rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding-bottom: 1.4rem;
    border-bottom: 1px solid var(--color-line-in-white);
}

.page-teacher .page-teacher-form-schedule-item {
    display: grid;
    grid-template-rows: 1fr 1fr;
    grid-template-columns: 1fr 1fr;
    grid-template-areas: 'day day' 'from to';
    grid-column-gap: 2rem;
    margin-bottom: 2rem;
}

.page-teacher .schedule-item-day {
    grid-area: day;
}

.page-teacher .page-teacher-form-schedule-item .schedule-item-from {
    grid-area: from;
}

.page-teacher .page-teacher-form-schedule-item .schedule-item-to {
    grid-area: to;
}

.page-teacher .page-teacher-form-availability legend {
    margin-bottom: 0;
}

.page-teacher main fieldset legend button:hover {
    color: var(--color-primary-dark);
}

.page-teacher main fieldset + fieldset {
    margin-top: 4rem;
}

.page-teacher .textarea-block, 
.page-teacher .select-block, 
.page-teacher .input-block {
    margin-top: 2rem;
}

.page-teacher .page-teacher-form-avatar {
    display: grid;
    grid-template-columns: auto 1fr 1fr;
    align-items: center;
}

.page-teacher main fieldset legend button {
    background: none;
    border: 0;
    color: var(--color-primary);
    font: 700 1.6rem Archivo;
    cursor: pointer;
    transition: color 0.2s;
}

.page-teacher main fieldset legend button:hover {
    color: var(--color-primary-dark);
}

.page-teacher main footer button {
    width: 100%;
    height: 5.6rem;
    background: var(--color-secondary);
    color: var(--color-button-text);
    border: 0;
    border-radius: 0.8rem;
    cursor: pointer;
    font: 700 1.6rem Archivo;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    transition: background-color 0.2s;
}

.page-teacher main footer button:hover {
    background: var(--color-secondary-dark);
}

.page-teacher main footer {
    padding: 4rem 2.4rem;
    display: grid;
        grid-template-rows: 1fr 1fr;
        grid-template-columns: 1fr;
        grid-template-areas: 
            'warn' 
            'btn';
    color: var(--color-text-complement);
    background-color: var(--color-input-background);
}

.page-teacher .page-teacher-form-warn {
    grid-area: warn;
    display: flex;
    align-items: center;
}

.page-teacher .page-teacher-form-txt {
    display: flex;
    flex-direction: column;
}

.page-teacher .page-teacher-form-txt span:first-child {
    color: var(--color-primary);
}

.page-teacher .page-teacher-form-warn img {
    margin-right: 2rem;
}


@media(min-width: 1000px) {

    .page-teacher .page-teacher-form-schedule-item {
        display: grid;
        grid-template-rows: 1fr;
        grid-template-columns: 2fr 1fr 1fr;
        grid-template-areas: 'day from to';
        grid-column-gap: 2rem;
    }

    .page-teacher .page-teacher-form-schedule-item .textarea-block, 
    .page-teacher .page-teacher-form-schedule-item .select-block, 
    .page-teacher .page-teacher-form-schedule-item .input-block {
        margin-top: 0;
    }

    .page-teacher main footer {
        display: grid;
            grid-template-rows: 1fr;
            grid-template-columns: 1fr 1fr 1fr;
            grid-template-areas: 
                'warn warn btn';
    }
    
    .page-teacher .page-teacher-form-warn {
        grid-area: warn;
    }
}